Bug 1236028 - audio output doesn't automatically switch between speakers and earphones
Summary: audio output doesn't automatically switch between speakers and earphones
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-26 11:34 UTC by severin.kunz
Modified: 2016-07-19 15:03 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 15:03:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1201997 0 unspecified CLOSED Front Panel Sound Jack (headphone) not working with F21 and Fedora 22 Beta 2021-02-22 00:41:40 UTC

Internal Links: 1201997

Description severin.kunz 2015-06-26 11:34:55 UTC
Description of problem:
When plugging in earphones, Fedora doesn't automatically plays the sound on the earphones but continues playing them on the speaker. My computer is a Lenovo B50-30

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Didn't know the name of the component. Please change it for me.

Comment 1 severin.kunz 2015-06-26 12:07:25 UTC
just checked it agin and it seems that the real problem is that fedora doesn't recognice anymore when the headphones are plugged in or not.

Comment 2 Paulo Andrade 2015-07-19 19:07:03 UTC
It should be generating some acpi event.

Try running:

$ /usr/bin/acpi_listen

and plug/unplug it. If it does not show anything,
it may be required some kernel command line option.

Anyway, component is not 0ad :) It should be
acpid or kernel.

Comment 3 severin.kunz 2015-07-19 19:44:49 UTC
Thank you for the reply.

In the meantime some recent update fixed the bug until some days when some other updates brought it back.

I did that and it told me to install acpid. After installing it and running acpi_listen it brings up the error can't open socket /var/run/acpid.socket: No such file or directory

Thanks, I didn't know where this belongs to.

Comment 4 severin.kunz 2015-08-01 11:06:46 UTC
Again ths bug was fixed by an update between the 25. of July and the 1. August.

Comment 5 severin.kunz 2015-08-01 14:50:23 UTC
I'm sorry, it seemed just to work once, now it doesn't work again. I really hope this can be fixed.

Comment 6 _ 2015-08-25 20:05:46 UTC
This also happens to me on Lenovo x240. Speakers work fine, but headphones do not.

Comment 7 Martin Kudlej 2015-08-27 06:18:54 UTC
Same with Lenovo w541 and Linux work 4.1.6-200.fc22.x86_64 #1 SMP Mon Aug 17 19:54:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Comment 8 Paolo Antinori 2015-11-15 19:05:21 UTC
I'm seeing this on Fedora 23 and Lenovo 540p

Comment 9 Joe Thompson 2015-11-18 21:56:17 UTC
Seeing this on F22 and a Sager NP8651.

Comment 10 Fedora End Of Life 2016-07-19 15:03:55 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.